Bug 437142 - bogus warning about missing config_inc.php after upgrade
bogus warning about missing config_inc.php after upgrade
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mantis (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Sven Lankes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-12 12:17 EDT by Mads Kiilerich
Modified: 2009-12-18 01:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:05:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mads Kiilerich 2008-03-12 12:17:51 EDT
Description of problem:
mantis gives bogus warning about missing usr/share/mantis/config_inc.php after
(apparently successful) upgrade

Version-Release number of selected component (if applicable):
mantis-1.1.1-1.fc8

How reproducible:


Steps to Reproduce:
1. upgrade from fc7 mantis to f8
2. follow /usr/share/doc/mantis-1.1.1/README.Fedora and access
https://localhost/mantis/admin/install.php
3.
  
Actual results:
 Creating Configuration File (config_inc.php)
(if this file is not created, create it manually with the contents below) 
POSSIBLE PROBLEM
cannot write /usr/share/mantis/config_inc.php
Please add the following lines to /usr/share/mantis/config_inc.php before
continuing to the database upgrade check:

Expected results:
When provided as rpm it should be patched to look for /etc/mantis/config_inc.php

Additional info:
Comment 1 Gianluca Sforna 2008-03-16 16:49:52 EDT
I realize the message is misleading, but rest assured your upgrade was fine
(provided there weren't other error messages)

I will try to correct this in the next round of fixes. Thank you for the notice
Comment 2 Mads Kiilerich 2008-03-17 19:34:36 EDT
Thanks for the reply. I feel assured that you have the situation under control :-)
Comment 3 Bug Zapper 2008-11-26 05:08:21 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Sven Lankes 2008-12-28 15:27:31 EST
I have added a patch to address this issue to the latest rawhide-package.

http://koji.fedoraproject.org/koji/buildinfo?buildID=76566

The patch suppresses the warning and also disables the option to change db-name, username, db-host and password using the admin/install.php setup-link. Changing them requires the user to directly edit /etc/mantis/config_inc.php - install.php cannot write to that directory anyway.
Comment 5 Bug Zapper 2009-11-18 07:26:54 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 01:05:08 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.